
#import "Controller.h"
#import <appkit/appkit.h>
#import "Serial.h"

@implementation Controller

- init
{
	[super init];
	
	mySerial = [[Serial alloc] init];
	[mySerial openRAW:"/dev/cub" Baudrate:9600];
	[mySerial dropDTR];

	return self;
}

- changeDTR:sender
{
	static int	state = 0;
	
	if(state == 0) 
	{
		[mySerial raiseDTR];
		state = 1;
	}	
	else
	{
		[mySerial dropDTR];
		state = 0;
	}
	
	return self;
}	


@end
